# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  stage: test
  script:
    - hugo
  except:
    - master
    
pages:
  stage: deploy
  script: 
    - hugo
  artifacts:
    paths:
      - public
  only:
    - master          

